com.microfocus.zos.model

## Enum EDataSetType

- java.lang.Object
- - java.lang.Enum<EDataSetType>
  - - com.microfocus.zos.model.EDataSetType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EDataSetType>

      public enum EDataSetType
      extends java.lang.Enum<EDataSetType>

  Enumeration of z/OS data set types.
  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC` BASIC
    `EXTPREF` EXTPREF
    `EXTREQ` EXTREQ
    `GDG` GDG Data set
    `HFS` HFS
    `LARGE` LARGE
    `LIBRARY` Library (PDSE)
    `NONE` None (Unknown)
    `PDS` PDS
    `SEQ` Sequential
    `VSAM` VSAM data set

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EDataSetType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EDataSetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final EDataSetType NONE

      None (Unknown)

    - #### LIBRARY

          public static final EDataSetType LIBRARY

      Library (PDSE)

    - #### HFS

          public static final EDataSetType HFS

      HFS

    - #### PDS

          public static final EDataSetType PDS

      PDS

    - #### LARGE

          public static final EDataSetType LARGE

      LARGE

    - #### BASIC

          public static final EDataSetType BASIC

      BASIC

    - #### EXTREQ

          public static final EDataSetType EXTREQ

      EXTREQ

    - #### EXTPREF

          public static final EDataSetType EXTPREF

      EXTPREF

    - #### SEQ

          public static final EDataSetType SEQ

      Sequential

    - #### VSAM

          public static final EDataSetType VSAM

      VSAM data set

    - #### GDG

          public static final EDataSetType GDG

      GDG Data set

  - ### Method Detail

    - #### values

          public static EDataSetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EDataSetType c : EDataSetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EDataSetType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.